Subject: Re: [AAA-DOCTORS] [OPS-DIR] FW: Internal WG Review: STORage Maintenance (storm)

From: Lars Eggert <[email-masked]>
Date: Tue, 28 Apr 2009 12:44:28 -0400

Hi,

On 2009-4-28, at 12:29, Ersue, Mehmet (NSN - DE/Munich) wrote:
> unfortunately I missed the Storm BoF in SF. I also was not aware of
> the discussion on the maillists you mention.
>
> I made the experience that announcing a BoF maillist to IETF and
> forcing some discussion on this maillist with IETF member  
> participation
> is a good way to show IESG that there is measurable IETF community
> interest.

as David said below, there was discussion on the still-existing RDDP,  
IPS and IMSS lists, and the BOF went - in my opinion - very well. I  
believe community interest has been demonstrated, which is why we're  
going forward with a charter proposal.

> The huge amount of people in the session, which are sometimes
> occasionally in the room and vote, usually disappear when it comes to
> maillist discussion. Also for our regular WG work the decisions have
> to be confirmed on the maillist.
>
> As I said I believe this is an important and necessary consolidation
> work but should be discussed and accepted first in the IETF community.

I don't quite know what to do with you comment. Are you saying there  
hasn't been sufficient discussion to go forward with the chartering?  
Or am I misunderstanding?

I'll also note that the community obviously still has time to comment  
- the charter is in internal I* review at this time, after which it  
will go for public review.

Lars

>
> Cheers,
> Mehmet
>
>
>> -----Original Message-----
>> From: ext [email-masked] [mailto:[email-masked]]
>> Sent: Tuesday, April 28, 2009 2:32 PM
>> To: Ersue, Mehmet (NSN - DE/Munich)
>> Cc: [email-masked]; [email-masked]
>> Subject: RE: [OPS-DIR] FW: Internal WG Review: STORage
>> Maintenance (storm)
>>
>> Mehmet,
>>
>> The storm list is completely new (it was only opened for people
>> to subscribe within the past few days).  The storm BOF in San
>> Francisco was organized using the existing IPS, RDDP and IMSS
>> mailing lists.  I suggest consulting the archives for those
>> lists, particularly for the IPS list, where you should find a
>> reasonable level of community interest.
>>
>> There is definite community interest in this work, and I have
>> author commitments for drafts for all six work items listed
>> in the charter - each of the "First version of" milestone
>> dates in the proposed charter is based on discussion with an
>> author or authors who believe that a first version of the draft
>> will be ready by that date.
>>
>> Thanks,
>> --David
>> ----------------------------------------------------
>> David L. Black, Distinguished Engineer
>> EMC Corporation, 176 South St., Hopkinton, MA  01748
>> +1 (508) 293-7953             FAX: +1 (508) 293-7786
>> [email-masked]        Mobile: +1 (978) 394-7754
>> ----------------------------------------------------
>>
>>> -----Original Message-----
>>> From: Romascanu, Dan (Dan) [mailto:[email-masked]]
>>> Sent: Tuesday, April 28, 2009 6:33 AM
>>> To: Ersue, Mehmet (NSN - DE/Munich)
>>> Cc: Black, David
>>> Subject: RE: [OPS-DIR] FW: Internal WG Review: STORage
>>> Maintenance (storm)
>>>
>>> Mehmet,
>>>
>>> David Black ran the BOF in San Francisco. He should be able
>> to provide
>>> you information about the preparation work, level of support and
>>> interest from the community and initial drafts.
>>>
>>> Thanks for looking into this and for asking the questions.
>>>
>>> Dan
>>>
>>>
>>>> -----Original Message-----
>>>> From: Ersue, Mehmet (NSN - DE/Munich)
>> [mailto:[email-masked]]
>>>> Sent: Tuesday, April 28, 2009 1:29 PM
>>>> To: Romascanu, Dan (Dan)
>>>> Subject: RE: [OPS-DIR] FW: Internal WG Review: STORage
>>>> Maintenance (storm)
>>>>
>>>>
>>>> Hi Dan,
>>>>
>>>> I believe this is an important and necessary consolidation work.
>>>>
>>>> I might have missed the discussion on another maillist but
>>>> the storm maillist is pretty much new and I would have a
>>>> better feeling if there were some mail traffic showing the
>>>> interest of the community and/or an initial draft with an
>>>> issues list for the justification of a new WG.
>>>>
>>>> Cheers,
>>>> Mehmet
>>>>
>>>>
>>>>> -----Original Message-----
>>>>> From: [email-masked]
>>>>> [mailto:[email-masked]] On Behalf Of ext Romascanu,
>>>>> Dan (Dan)
>>>>> Sent: Monday, April 27, 2009 7:57 PM
>>>>> To: [email-masked]; [email-masked]
>>>>> Subject: [OPS-DIR] FW: Internal WG Review: STORage
>>>> Maintenance (storm)
>>>>>
>>>>>
>>>>>
>>>>>
>>>>> -----Original Message-----
>>>>> From: [email-masked] [mailto:[email-masked]] On
>>>>> Behalf Of
>>>>> IESG Secretary
>>>>> Sent: Monday, April 27, 2009 8:54 PM
>>>>> To: [email-masked]; [email-masked]
>>>>> Cc: [email-masked]
>>>>> Subject: Internal WG Review: STORage Maintenance (storm)
>>>>>
>>>>> A new IETF working group is being considered in the Transport
>>>>> Area.  The
>>>>> draft charter for this working group is provided below for
>>>> your review
>>>>> and comment.
>>>>>
>>>>> Review time is one week.
>>>>>
>>>>> The IETF Secretariat
>>>>>
>>>>> STORage Maintenance (storm)
>>>>> ----------------------------------
>>>>>
>>>>> Last Modified: 2009-04-25
>>>>>
>>>>> Current Status: Proposed Working Group
>>>>>
>>>>> Chairs:
>>>>> - David L. Black <[email-masked]>
>>>>> - tbd
>>>>>
>>>>> Transport Area Director(s):
>>>>> - Magnus Westerlund <[email-masked]>
>>>>> - Lars Eggert <[email-masked]>
>>>>>
>>>>> Transport Area Advisor:
>>>>> - Lars Eggert <[email-masked]>
>>>>>
>>>>> Mailing Lists:
>>>>> General Discussion: [email-masked]
>>>>> To Subscribe: [email-masked]
>>>>> In Body: (un)subscribe
>>>>> Archive: http://www.ietf.org/mail-archive/web/storm/index.html
>>>>>
>>>>> Description of Working Group:
>>>>>
>>>>> The IETF IPS (IP Storage) and RDDP (Remote Direct Data
>> Placement)
>>>>> working groups have produced a significant number of
>>>> storage protocols
>>>>> (e.g., iSCSI, iSER and FCIP) for which there is significant
>>>> usage. The
>>>>> time has come to reflect feedback from implementation and
>>> usage into
>>>>> updated RFCs; this work may include:
>>>>>
>>>>> - Implementation-driven revisions and updates to existing
>>> protocols
>>>>> (i.e., updated RFCs that match the "running code").
>>>>>
>>>>> - Interoperability reports as needed for the resulting
>>>>> revised protocols
>>>>> that are appropriate for Draft Standard RFC status.
>>>>>
>>>>> - Minor protocol changes or additions. Backwards
>> compatibility is
>>>>> required.
>>>>>
>>>>> Significant changes to the existing protocol standards are
>>>>> out of scope,
>>>>> including any work on version 2 of any of these protocols.
>>>>>
>>>>> Stability is critical to the usage of these protocols, so
>>> backwards
>>>>> compatibility with existing implementations will be a
>> requirement
>>>>> imposed on for all protocol changes and additions. Note
>>>> that this is a
>>>>> requirement for implementation compatibility - if it is the
>>>> case that
>>>>> all implementations of a protocol have done something
>>> different than
>>>>> what the RFC specifies, it is appropriate for a new RFC to
>>>>> document what
>>>>> the "running code" actually does and deprecate the
>> unused original
>>>>> behavior.
>>>>>
>>>>> Initial list of work items:
>>>>>
>>>>> (1) iSCSI: Combine RFCs 3720 (iSCSI), 3980 (NAA names),
>> 4850 (node
>>>>> architecture key) and 5048 (corrections/clarifications)
>>>> into one draft
>>>>> (3720bis), removing features that are not implemented in
>>>>> practice. This
>>>>> draft should be prepared so that it could become a Draft
>>>> Standard RFC,
>>>>> but it is up to the to decide whether to advance it to
>>>> Draft Standard.
>>>>>
>>>>> (2) iSCSI: Add features to support SAM-4 (4th version
>> of the SCSI
>>>>> architecture) in a backwards-compatible fashion, as iSCSI
>>>> is currently
>>>>> based on SAM-2. This will be a separate draft from the
>>>> iSCSI update in
>>>>> the previous bullet. The Working group may add additional
>>>> minor useful
>>>>> iSCSI features to this draft.
>>>>>
>>>>> (3) FCIP: IP Protocol number 133 was allocated to a
>>> precursor of the
>>>>> FCIP protocol in 2000, but this allocated number is not
>>>> used by FCIP.
>>>>> The working group will consider whether this allocated number
>>>>> should be
>>>>> returned to IANA for future reallocation.
>>>>>
>>>>> (4) iFCP: The Address Translation mode of iFCP needs to be
>>>> deprecated
>>>>> (SHOULD NOT implement or use), as there are significant
>> technical
>>>>> problems with its specification, and moreover, only the Address
>>>>> Transparent mode of iFCP is in use. This will be done via a
>>>>> short draft
>>>>> that updates RFC 4172, and not via a complete rewrite of
>>> RFC 4172. A
>>>>> combined draft is expected that encompasses items (3) and (4).
>>>>>
>>>>> (5) RDDP MPA: Good support for MPI applications requires a
>>>>> small update
>>>>> to the startup functionality to allow either end of the
>>>> connection to
>>>>> initiate.
>>>>>
>>>>> (6) iSER: Experience with Infiniband implementations suggest
>>>>> a few minor
>>>>> updates to reflect what has been done in practice.
>>>>>
>>>>> The working group is expected to maintain good working
>>> relationships
>>>>> with INCITS Technical Committee T10 (SCSI standards) and INCITS
>>>>> Technical Committee T11 (Fibre Channel standards) via
>> overlaps in
>>>>> membership as opposed to appointment of formal liaisons.
>>> The liaison
>>>>> process (including IAB appointment of a liaison or
>>>>> liaisons) remains available for use if needed.
>>>>>
>>>>> Goals and Milestones:
>>>>>
>>>>> June 2009 First version of FCIP protocol number and iFCP Address
>>>>> Translation mode draft
>>>>>
>>>>> July 2009 First version of iSCSI SAM-4 (and other) new
>>>> features draft.
>>>>>
>>>>> Aug 2009 First version of RDDP MPA startup change draft
>>>>>
>>>>> Sep 2009 Working Group Last Call on FCIP protocol
>> number and iFCP
>>>>> address change draft
>>>>>
>>>>> Sep 2009 First version of combined iSCSI draft (3720bis)
>>>>>
>>>>> Oct 2009 First version of iSER update draft
>>>>>
>>>>> Oct 2009 Working Group Last Call on RDDP MPA startup
>> change draft.
>>>>>
>>>>> Dec 2009 Functionally complete iSCSI SAM-4 (and other)
>>> new features
>>>>> draft.
>>>>>
>>>>> Feb 2010 Working Group Last Call on iSER update draft
>>>>>
>>>>> March 2010 Working Group Last Call on iSCSI SAM-4 (and
>> other) new
>>>>> features draft.
>>>>>
>>>>> April 2010 Working Group decision on whether to seek Draft
>>>>> Standard RFC
>>>>> status for the combined iSCSI draft (3720bis). [Note:
>>>>> decision may be made significantly before this date.]
>>>>>
>>>>> Sep 2010 Working Group Last Call on combined iSCSI
>> draft (3720bis)
>>>>> _______________________________________________
>>>>> OPS-DIR mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/ops-dir
>>>>>
>>>>
>>>
>>>
>>

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 28 Apr 2009 19:33:43 +0200

> going forward with a charter proposal.

I can imagine core members of imss, rddp and ips always support 
storage related topics. 
I was wondering whether there was any invitation to the ietf-discussion 
prior to the BoF to motivate people to reactivate their subscription for

RDDP, IPS and IMSS lists to discuss Storm issues? A separate maillist 
would be probably more effective.

I'm not against a WG, I'm just saying that there is not sufficient
positive 
feedback from the IETF community _on a maillist_ yet.

IMO IESG should measure the acceptance of Storm based on the feedback 
of the broader IETF community based on a maillist discussion.
The count of Storm-related mails I can see on the official BoF list
(ips) 
before the BoF session is not overwhelming.

---

From: Lars Eggert <[email-masked]>
Date: Tue, 28 Apr 2009 13:48:49 -0400

Hi,

> would be probably more effective.

I don't know if the BOF was announced on the main IETF discussion  
list, but I note that there is no requirement to do this. The BOF was  
announced to all the storage-related lists.

> positive feedback from the IETF community _on a maillist_ yet.

I'm going to disagree here. I saw sufficient positive feedback both on  
the existing storage lists, in private email and at the BOF itself to  
initiate the chartering process, esp. considering that STORM is  
intended as a maintenance WG for a set of existing IETF protocols -  
those WGs are important, but don't usually draw a huge crowd of  
excited new contributors.

> (ips) before the BoF session is not overwhelming.

If the broader IETF community speaks up during the upcoming external  
review and feels that the STORM proposal is problematic in some form,  
I will certainly listen carefully to any concerns. For now, for a  
maintenance WG like STORM, I wanted to see that the expert community  
surrounding these protocols has the energy for continued maintenance,  
which I saw.

Lars

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 30 Apr 2009 14:45:49 +0200

> From: Ersue, Mehmet (NSN - DE/Munich) [mailto:[email-masked]] 
> Sent: Tuesday, April 28, 2009 8:34 PM
> To: ext Lars Eggert
> Cc: [email-masked]; Romascanu, Dan (Dan); 
> [email-masked]; [email-masked]; [email-masked]
> > > participation is a good way to show IESG that there is measurable 
> > > IETF community interest.
> > 
> I can imagine core members of imss, rddp and ips always 
> support storage related topics. 
> I was wondering whether there was any invitation to the 
> ietf-discussion prior to the BoF to motivate people to 
> reactivate their subscription for
> 
> RDDP, IPS and IMSS lists to discuss Storm issues? A separate 
> maillist would be probably more effective.
> 
> I'm not against a WG, I'm just saying that there is not 
> sufficient positive feedback from the IETF community _on a 
> maillist_ yet.
> 
> IMO IESG should measure the acceptance of Storm based on the 
> feedback of the broader IETF community based on a maillist discussion.

I believe that the level of interest will be judged (also) when the
charter will go out for broad IETF external review. 

Until then can we get a feeling about the number of people who attended
the BOF, how many people expressed support for formation of a WG, how
many raised their hands (in the room and virtually on the mail lists)
volunteering to contribute?

Dan

---

From: "David Harrington" <[email-masked]>
Date: Thu, 30 Apr 2009 12:29:57 -0400

Hi,

I found that having the discussion for the STORM BOF on the mailing
lists for (three) concluded WGs made it a bit obscure.
As far as I can tell by looking at those archives, there wasn't much
discussion.
I will also note that the announcement of the craetion of the storm
list seems to be have been only announced to the lists of the three
concluded WGs. So if you weren't involved in the three earlier WGs,
you might not have seen the announcement. 

I do think Mehmet has a point that many IETF people may not have been
aware the discussion was happening.

As an OPSDIR member and MIB Doctor, I have already expressed concerns
that operations and management is not being addressed in the charter.
The chair helpfully responded with a short list of management
standards (SNIA SMI-S, SNIA SCSI HBA, INCITS FC HBA) that might help
answer my questions. Unfortunately, I cannot access some of the
documents referenced because they are not freely available. If I read
through a number of large standards I might be able to determine for
myself what changes might need to be made to utilize the existing
non-IETF standards to manage the updated IETF storage standards. I
think I would rather see the WG consdier this and document it, rather
than me (and any other user of the IETF technologies) having to
research this personally to know the answers. I would nto say my
concerns have been addressed.

As a SECDIR member, I have concerns that security may not be gettng
addressed either, but it is hard for me to say that for sure since I
cannot freely access the T10 and T11 documents that are the basis of
the updates. I do not know whether the updated IETF storage standards
will utilize IETF standards for security or non-IETF stndards for
security, or whether the WG is simply not going to address security
issues since it is not mentioned in the charter. I note that the
charter calls for updating to SAM-4 level, and that T10 is starting
new work on SAM-5, explicitly to address security. So does that mean
security will not be addressed in the STORM WG?

I have not seen these discussions elsewhere. And Mehmet's concerns
seem to be relevant to that point.

Before the WG is created, I think the charter should be explicit about
the what the WG will do to address how these Internet protocols should
be operated and managed and secured.
 
David Harrington
[email-masked]
[email-masked]
[email-masked]

> [mailto:[email-masked]] On Behalf Of Lars Eggert
> Sent: Tuesday, April 28, 2009 12:44 PM
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: Re: [OPS-DIR] FW: Internal WG Review: STORage 
> Maintenance (storm)
> 
> Hi,
>

---

From: [email-masked]
Date: Thu, 30 Apr 2009 19:02:24 -0400

Let me start by acknowledging that David Harrington is right
about the absence of operations and management in the charter.
At a minimum, the new iSCSI features strongly suggest an
updated version of the iSCSI MIB (RFC 4544), and I need to
revise the draft charter to include that.  If David Harrington
is willing to serve as a technical advisor to facilitate this
update, that would be helpful.

OTOH, I disagree with the suggestion that the WG "consider
and document" ... "what changes might need to be made to
utilize the existing non-IETF standards to manage the updated
IETF storage standards".  IMHO, it is usually better to
communicate the functional changes that the IETF is making
in its protocols to other standards organizations that
are responsible for related (e.g., management) standards.
That enables those organizations to make any changes that
they deem appropriate based on their expertise - in contrast,
issuing explicit instructions to another standards organization
has the potential to go over badly (IMHO).  The draft charter
already contains references to working relationships with T10
and T11 - it looks like it needs corresponding text for SNIA
around the iSCSI HBA API and SMI-S support for iSCSI.

Not announcing the BoF on the IETF list was my oversight;
that clearly should have been done prior to San Francisco.
I'll work with Lars on ensuring that there is sufficiently
broad IETF exposure and review of the proposed storm charter.

For the security concerns, please see RFC 3723 (Securing
Block Storage Protocols over IP).  I expect that RFC to
remain applicable to all of the revised protocols, with the
overall approach being that security issues in technology that
is standardized by another standards body are the responsibility
of that standards body; would a statement to that effect (RFC
3723 expected to remain applicable, security issues in standards
from other organizations remain the responsibility of those
organizations) in the charter be helpful?  

That said, I am surprised by what appears to be an inference
that lack of mention of security in the charter implies that
security may not be addressed at all.  All RFCs have to address
security considerations, making security something that every
IETF WG has to address, independent of whether security is
explicitly mentioned in the WG charter.  If every WG charter
now has to have a "Security Considerations" section, there are
number of WG charters on the IETF web site that need updates
... surely the IESG has better things to do ;-).

Regarding SAM-5, the draft storm WG charter references SAM-4
and not SAM-5 for a reason; SAM-5 is an out-of-scope moving
target.  FWIW, most SCSI (T10) security is not in the SAM
standards, but rather in the SPC-4 standard (under development).
For Fibre Channel (T11) security, see the FC-SP standard and
the FC-SP-2 standard (under development).

That brings me to the T10 and T11 standards access concerns,
which are real and something I need to work on.  INCITS, the
parent organization of T10 and T11, imposed new document
access restrictions within the past year.  I need to work
with T10 and T11 on how to go about making the necessary
standards documents available to IETF participants, starting
with T10 (which meets next week).  I do not intend to ask
the IESG for approval of the storm WG charter until the
document access concerns are resolved.

Thanks,
--David

> From: David Harrington [mailto:[email-masked]] 
> Sent: Thursday, April 30, 2009 12:30 PM
> To: 'Lars Eggert'; 'Ersue, Mehmet (NSN - DE/Munich)'
> Cc: [email-masked]; [email-masked]; Black, David; 
> [email-masked]; [email-masked]; 'IAB'

---

From: [email-masked]
Date: Thu, 30 Apr 2009 22:10:53 -0400

Dan,

> volunteering to contribute?

This was not a highly attended meeting.  The minutes say:

  Attendance: 14 names on blue sheet, approximately 8 additional
  jabber room participants.

There isn't a recorded count of raised hands.  The minutes say:

  Clear interest in forming a WG, with a desire to limit travel.

  Work item discussion took a bit longer.  Different people are
  interested in different work items.  A discussion of whether any
  work items should be deleted from the initial list in the charter
  did not identify any to be deleted, but acknowledged the BOF chair's
  preference to not have the charter commit up front to taking iSCSI
  to Draft Standard status.  With that change, the "rough consensus"
  of the meeting (supported by some comments in the jabber room and
  emails sent to the list) is that a WG should be formed to take on
  essentially the plan of work in the draft charter.

As noted previously, I have author commitments for all of the work
items listed on the charter, many from people who were unable to
attend the BOF.  In at least one case (MPA changes for MPI), a
multi-author team has been formed.

Thanks,
--David

> Sent: Thursday, April 30, 2009 8:46 AM
> To: Ersue, Mehmet (NSN - DE/Munich); ext Lars Eggert
> Cc: Black, David; [email-masked]; [email-masked]; 
> [email-masked]